<div class="mat-elevation-z6 boxed-container" fxLayout="column">
    <h2 class="text-bold title center">Cronologia dei caricamenti effettuati</h2>
    <div class="boxed-container" *ngIf="uploadedFilesList" style="bottom: 1rem;">
        <div class="example-header">
            <mat-form-field style="width: 100%">
                <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filtra">
            </mat-form-field>
        </div>
    </div>
    <mat-table #table [dataSource]="uploadedFilesList" matSort
               *ngIf="uploadedFilesList && uploadedFilesList.data.length !== 0">

        <!--<ng-container matColumnDef="index">-->
        <!--<mat-header-cell *matHeaderCellDef mat-sort-header> No. </mat-header-cell>-->
        <!--<mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>-->
        <!--</ng-container>-->

        <ng-container matColumnDef="nomeFile">
            <mat-header-cell *matHeaderCellDef mat-sort-header fxFlex="35"> Nome File</mat-header-cell>
            <mat-cell *matCellDef="let element" fxFlex="35"> {{element.nomeFile}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="dataUpload">
            <mat-header-cell *matHeaderCellDef mat-sort-header fxFlex> Data e Ora Caricamento</mat-header-cell>
            <mat-cell *matCellDef="let element" fxFlex> {{element.dataUpload | date : 'dd/MM/yyyy HH:mm:ss'}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="stato">
            <mat-header-cell *matHeaderCellDef mat-sort-header fxFlex> Stato</mat-header-cell>
            <mat-cell *matCellDef="let element" fxFlex>
              {{element.stato === 'DA_ELABORARE' ?
                'ACQUISITO' :
                element.stato === 'IN_LAVORAZIONE' ? 'IN LAVORAZIONE' :
              element.stato}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="tipoUpload">
            <mat-header-cell *matHeaderCellDef mat-sort-header fxFlex> Tipo Caricamento</mat-header-cell>
            <mat-cell *matCellDef="let element" fxFlex> {{element.tipoUpload}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="download">
            <mat-header-cell *matHeaderCellDef fxFlex>Download</mat-header-cell>
            <mat-cell *matCellDef="let element" fxFlex>
                <button mat-button (click)="downloadUploadedFile(element.id)">
                    <mat-icon>file_download</mat-icon>
                </button>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns; let i=index"></mat-row>
    </mat-table>

    <mat-paginator *ngIf="uploadedFilesList && uploadedFilesList.data.length > 0" #paginator [pageSize]="5">
    </mat-paginator>
    <div fxFlex *ngIf="!uploadedFilesList || uploadedFilesList.data.length === 0" class="mat-elevation-z1">
        <h3 class="title center">Non sono stati caricati report</h3>
    </div>
</div>
<div class="mat-elevation-z6 boxed-container" fxLayout="column">
    <mat-accordion>
        <mat-expansion-panel>
            <mat-expansion-panel-header>
                <mat-panel-title class="title">
                    <div fxFlex=""></div>
                    <h2 class="text-bold">Legenda</h2>
                    <div fxFlex=""></div>
                </mat-panel-title>
            </mat-expansion-panel-header>
            <h3 class="title">Possibili stati di elaborazione dei file</h3>
            <ul>
                <li><strong>ACQUISITO</strong> – File acquisito da parte dei sistemi SIAE</li>
                <li><strong>ELABORATO</strong> - File processato da parte dei sistemi SIAE{{user.currentRepertorio &&
                    user.currentRepertorio.toLowerCase()!='musica' ? ' (di prossima attivazione)':''}}
                </li>
                <li><strong>IN LAVORAZIONE</strong> - File preso in carico dai sistemi SIAE{{user.currentRepertorio &&
                    user.currentRepertorio.toLowerCase()!='musica' ? ' (di prossima attivazione)':''}}
                </li>
                <li><strong>ERRORE</strong> - File che non rispetta il formato atteso (e.g. intestazione di colonna
                    difforme dal template, colonna mancante, errato ordinamento colonne){{user.currentRepertorio &&
                    user.currentRepertorio.toLowerCase()!='musica' ? ' (di prossima attivazione)':''}}
                </li>
            </ul>
        </mat-expansion-panel>
    </mat-accordion>

</div>
